HanMacWrdKTextInternal::State Struct Reference documentation

HanMacWrdKTextInternal::State Struct Reference

Internal: the state of a HanMacWrdKText. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_version
| the file version
std::multimap< long, std::shared_ptr< HanMacWrdKZone > > | m_IdTextMaps
| the map of id -> text zone
std::map< long, int > | m_IdTypeMaps
| the zone frame type if known
std::vector< long > | m_tokenIdList
| the token id list
std::map< long, Section > | m_sectionList
| the list of section
int | m_numPages
int | m_actualPage
long | m_headerId
| the header text zone id or 0
long | m_footerId
| the footer text zone id or 0

## Detailed Description

Internal: the state of a HanMacWrdKText.

## Constructor & Destructor Documentation

## ◆ State()

HanMacWrdKTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualPage

int HanMacWrdKTextInternal::State::m_actualPage

Referenced by State().

## ◆ m_footerId

long HanMacWrdKTextInternal::State::m_footerId

the footer text zone id or 0

Referenced by State().

## ◆ m_headerId

long HanMacWrdKTextInternal::State::m_headerId

the header text zone id or 0

Referenced by State().

## ◆ m_IdTextMaps

std::multimap<long, std::shared_ptr<HanMacWrdKZone> > HanMacWrdKTextInternal::State::m_IdTextMaps

the map of id -> text zone

Referenced by State().

## ◆ m_IdTypeMaps

std::map<long, int> HanMacWrdKTextInternal::State::m_IdTypeMaps

the zone frame type if known

Referenced by State().

## ◆ m_numPages

int HanMacWrdKTextInternal::State::m_numPages

Referenced by State().

## ◆ m_sectionList

std::map<long, Section> HanMacWrdKTextInternal::State::m_sectionList

the list of section

Referenced by HanMacWrdKTextInternal::getSection(), and State().

## ◆ m_tokenIdList

std::vector<long> HanMacWrdKTextInternal::State::m_tokenIdList

the token id list

Referenced by State().

## ◆ m_version

int HanMacWrdKTextInternal::State::m_version
| mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- HanMacWrdKText.cxx